version: "3.8"

services:
  n8n:
    image: n8nio/n8n:latest
    restart: always
    ports:
      - "5678:5678"
    environment:
      - TZ=Asia/Taipei
      - GENERIC_TIMEZONE=Asia/Taipei
      - N8N_BASIC_AUTH_ACTIVE=true
      - N8N_BASIC_AUTH_USER=wsky
      - N8N_BASIC_AUTH_PASSWORD=123
      #- N8N_HOST=n8n.yourdomain.com
      #- N8N_PORT=5678
      #- N8N_PROTOCOL=https
      #- WEBHOOK_URL=https://n8n.yourdomain.com/
    volumes:
      - ./data/n8n:/home/node/.n8n
    